Loading...
Searching...
No Matches
cache.h File Reference

Cache functions. More...

`#include <l4/sys/compiler.h>`
Include dependency graph for cache.h:

Go to the source code of this file.

## Functions

int | l4_cache_clean_data (unsigned long start, unsigned long end) L4_NOTHROW
| Cache clean a range in D-cache; writes back to PoC.
int | l4_cache_flush_data (unsigned long start, unsigned long end) L4_NOTHROW
| Cache flush a range; writes back to PoC.
int | l4_cache_inv_data (unsigned long start, unsigned long end) L4_NOTHROW
| Cache invalidate a range; might write back to PoC.
int | l4_cache_coherent (unsigned long start, unsigned long end) L4_NOTHROW
| Make memory coherent between I-cache and D-cache; writes back to PoU.
int | l4_cache_dma_coherent (unsigned long start, unsigned long end) L4_NOTHROW
| Make memory coherent for use with external memory; writes back to PoC.

## Detailed Description

Cache functions.

Date
  2007-11

Author
  Adam Lackorzynski adam@.nosp@m.os.i.nosp@m.nf.tu.nosp@m.-dre.nosp@m.sden..nosp@m.de

Definition in file cache.h.